@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Ibu Hamil dan Bersalin</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Input Data</a></li>
                        <li class="breadcrumb-item active">Ibu Hamil dan Bersalin</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row justify-content-start mb-2">
                        <div class="col-md-10 d-flex justify-content-around gap-3">
                            <select name="tahun" id="tahun" class="form-control">
                                <option value="2024" {{app('request')->input('year') == 2024 ? "selected":""}}>2024</option>
                                <option value="2023" {{app('request')->input('year') == 2023 ? "selected":""}}>2023</option>
                            </select> 
                            {{-- <select name="month" id="month" class="form-control">
                                <option value="1" {{app('request')->input('month') == 1 ? "selected":""}}>Januari</option>
                                <option value="2" {{app('request')->input('month') == 2 ? "selected":""}}>Februari</option>
                                <option value="3" {{app('request')->input('month') == 3 ? "selected":""}}>Maret</option>
                            </select>  --}}
                            <button class="btn btn-primary" id="filter">Submit</button>
                            <a type="button" class="btn btn-warning" href="{{ route('IbuHamil.report', ['year' => app('request')->input('year')]) }}"  target='_blank'><i class="mdi mdi-note"></i>Report</a>
                        </div>
                        {{-- <div class="col-md-2">
                            <button class="btn btn-primary col-md-12 btn-tambah-program"><i class="mdi mdi-plus"></i> Tambah</button>
                        </div> --}}
                    </div>
                    {{-- <h4 class="card-title">Pengguna</h4> --}}
                    {{-- <p class="card-title-desc">DataTables has most features enabled by
                        default, so all you need to do to use it with your own tables is to call
                        the construction function: <code>$().DataTable();</code>.
                    </p> --}}
                    <div class="table-responsive">
                        <table id="data" class="table table-bordered dt-responsive" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead class="text-center">
                            <tr>
                                <th rowspan="3">No</th>
                                <th rowspan="3">Desa</th>
                                <th colspan="7">Ibu Hamil</th>
                                <th colspan="9">Ibu Bersalin/Nifas</th>
                                @role('Admin')
                                <th rowspan="3">Lock data</th>
                                @endrole
                            </tr>
                            <tr>
                                <th rowspan="3">Jumlah</th>
                                <th colspan="2">K1</th>
                                <th colspan="2">K4</th>
                                <th colspan="2">K6</th>
                                <th rowspan="3">Jumlah</th>
                                <th colspan="2">Persalinan Di Fasyankes</th>
                                <th colspan="2">Kf1</th>
                                <th colspan="2">Kf Lengkap</th>
                                <th colspan="2">Ibu Bersalin yang diberi Vit A</th>
                            </tr>
                            <tr>
                                <th>Jumlah</th>
                                <th>%</th>
                                <th>Jumlah</th>
                                <th>%</th>
                                <th>Jumlah</th>
                                <th>%</th>
                                <th>Jumlah</th>
                                <th>%</th>
                                <th>Jumlah</th>
                                <th>%</th>
                                <th>Jumlah</th>
                                <th>%</th>
                                <th>Jumlah</th>
                                <th>%</th>
                            </tr>
                            </thead>
                            <tbody>
                                @role('Admin')
                                @foreach ($unit_kerja as $key => $item)
                                
                                <tr style={{$key % 2 == 0?"background: gray":""}}>
                                    <td>{{$key + 1}}</td>
                                    <td>{{$item->nama}}</td>
                                    <td>{{$item->jumlah_ibu_hamil(app('request')->input('year'))}}</td>
                                    <td>{{$item->k1(app('request')->input('year'))}}</td>
                                    <td>{{$item->jumlah_ibu_hamil(app('request')->input('year')) > 0 ? number_format(($item->k1(app('request')->input('year'))/($item->jumlah_ibu_hamil(app('request')->input('year'))))*100, '2'):0}}%</td>
                                    <td>{{$item->k4(app('request')->input('year'))}}</td>
                                    <td>{{$item->jumlah_ibu_hamil(app('request')->input('year')) > 0 ? number_format(($item->k4(app('request')->input('year'))/($item->jumlah_ibu_hamil(app('request')->input('year'))))*100, '2'):0}}%</td>
                                    <td>{{$item->k6(app('request')->input('year'))}}</td>
                                    <td>{{$item->jumlah_ibu_hamil(app('request')->input('year')) > 0 ? number_format(($item->k6(app('request')->input('year'))/($item->jumlah_ibu_hamil(app('request')->input('year'))))*100, '2'):0}}%</td>
                                    <td>{{$item->jumlah_ibu_bersalin(app('request')->input('year'))}}</td>
                                    <td>{{$item->fasyankes(app('request')->input('year'))}}</td>
                                    <td>{{$item->jumlah_ibu_bersalin(app('request')->input('year')) > 0 ? number_format(($item->fasyankes(app('request')->input('year'))/($item->jumlah_ibu_bersalin(app('request')->input('year'))))*100, '2'):0}}%</td>
                                    <td>{{$item->kf1(app('request')->input('year'))}}</td>
                                    <td>{{$item->jumlah_ibu_bersalin(app('request')->input('year')) > 0 ? number_format(($item->kf1(app('request')->input('year'))/($item->jumlah_ibu_bersalin(app('request')->input('year'))))*100, '2'):0}}%</td>
                                    <td>{{$item->kf_lengkap(app('request')->input('year'))}}</td>
                                    <td>{{$item->jumlah_ibu_bersalin(app('request')->input('year')) > 0 ? number_format(($item->kf_lengkap(app('request')->input('year'))/($item->jumlah_ibu_bersalin(app('request')->input('year'))))*100, '2'):0}}%</td>
                                    <td>{{$item->vita(app('request')->input('year'))}}</td>
                                    <td>{{$item->jumlah_ibu_bersalin(app('request')->input('year')) > 0 ? number_format(($item->vita(app('request')->input('year'))/($item->jumlah_ibu_bersalin(app('request')->input('year'))))*100, '2'):0}}%</td>
                                    <td><input type="checkbox" name="lock" {{$item->lock_get(app('request')->input('year')) == 1 ? "checked":""}} class="data-lock" id="{{$item->id}}"></td>
                                </tr>
                                @endforeach
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td>{{$total_ibu_hamil}}</td>
                                    <td>{{$total_k1}}</td>
                                    <td>{{$total_ibu_hamil > 0?number_format($total_k1/$total_ibu_hamil * 100, 2):0}}%</td>
                                    <td>{{$total_k4}}</td>
                                    <td>{{$total_ibu_hamil > 0?number_format($total_k4/$total_ibu_hamil * 100, 2):0}}%</td>
                                    <td>{{$total_k6}}</td>
                                    <td>{{$total_ibu_hamil > 0?number_format($total_k6/$total_ibu_hamil * 100, 2):0}}%</td>
                                    <td>{{$total_ibu_bersalin}}</td>
                                    <td>{{$total_fasyankes}}</td>
                                    <td>{{$total_ibu_bersalin > 0?number_format($total_fasyankes/$total_ibu_bersalin * 100, 2):0}}%</td>
                                    <td>{{$total_kf1}}</td>
                                    <td>{{$total_ibu_bersalin > 0?number_format($total_kf1/$total_ibu_bersalin * 100, 2):0}}%</td>
                                    <td>{{$total_kf_lengkap}}</td>
                                    <td>{{$total_ibu_bersalin > 0?number_format($total_kf_lengkap/$total_ibu_bersalin * 100, 2):0}}%</td>
                                    <td>{{$total_vita}}</td>
                                    <td>{{$total_ibu_bersalin > 0?number_format($total_vita/$total_ibu_bersalin * 100, 2):0}}%</td>
                                </tr>
                                @endrole
                                @role('Puskesmas|Pihak Wajib Pajak')
                                @foreach ($desa as $key => $item)
                                @if($item->filterDesa(app('request')->input('year')))
                                <tr style='{{$key % 2 == 0?"background: #e9e9e9":""}}'>
                                    <td>{{$key + 1}}</td>
                                    <td>{{$item->nama}}</td>
                                    
                                    <td><input type="number" name="jumlah_ibu_hamil" disabled id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_hamil}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td><input type="number" {{$item->filterDesa(app('request')->input('year'))->status == 1?"disabled":""}}  name="k1" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->k1}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td id="k1{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_hamil > 0 ? number_format(($item->filterDesa(app('request')->input('year'))->k1/($item->filterDesa(app('request')->input('year'))->jumlah_ibu_hamil))*100, '2'):0}}%</td>
                                    
                                    <td><input type="number" {{$item->filterDesa(app('request')->input('year'))->status == 1?"disabled":""}} name="k4" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->k4}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td id="k4{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_hamil > 0 ? number_format(($item->filterDesa(app('request')->input('year'))->k4/($item->filterDesa(app('request')->input('year'))->jumlah_ibu_hamil))*100, '2'):0}}%</td>
                                    
                                    <td><input type="number" {{$item->filterDesa(app('request')->input('year'))->status == 1?"disabled":""}} name="k6" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->k6}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td id="k6{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_hamil > 0 ? number_format(($item->filterDesa(app('request')->input('year'))->k6/($item->filterDesa(app('request')->input('year'))->jumlah_ibu_hamil))*100, '2'):0}}%</td>
                                    
                                    <td><input type="number" name="jumlah_ibu_bersalin" disabled id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td><input type="number" {{$item->filterDesa(app('request')->input('year'))->status == 1?"disabled":""}} name="fasyankes" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->fasyankes}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td id="fasyankes{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin > 0 ? number_format(($item->filterDesa(app('request')->input('year'))->fasyankes/($item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin))*100, '2'):0}}%</td>
                                    
                                    <td><input type="number" {{$item->filterDesa(app('request')->input('year'))->status == 1?"disabled":""}} name="kf1" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->kf1}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td id="kf1{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin > 0 ? number_format(($item->filterDesa(app('request')->input('year'))->kf1/($item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin))*100, '2'):0}}%</td>
                                    
                                    <td><input type="number" {{$item->filterDesa(app('request')->input('year'))->status == 1?"disabled":""}} name="kf_lengkap" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->kf_lengkap}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td id="kf_lengkap{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin > 0 ? number_format(($item->filterDesa(app('request')->input('year'))->kf_lengkap/($item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin))*100, '2'):0}}%</td>
                                    
                                    <td><input type="number" {{$item->filterDesa(app('request')->input('year'))->status == 1?"disabled":""}} name="vita" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->vita}}" class="form-control data-input" style="border: none"></td>
                                    
                                    <td id="vita{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin > 0 ? number_format(($item->filterDesa(app('request')->input('year'))->vita/($item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin))*100, '2'):0}}%</td>
                                  </tr>
                                  @endif
                                @endforeach
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td id="jumlah_ibu_hamil">{{$total_ibu_hamil}}</td>
                                    <td id="k1">{{$total_k1}}</td>
                                    <td id="percentage_k1">{{$total_ibu_hamil > 0?number_format($total_k1/$total_ibu_hamil * 100, 2):0}}%</td>
                                    <td id="k4">{{$total_k4}}</td>
                                    <td id="percentage_k4">{{$total_ibu_hamil > 0?number_format($total_k4/$total_ibu_hamil * 100, 2):0}}%</td>
                                    <td id="k6">{{$total_k6}}</td>
                                    <td id="percentage_k6">{{$total_ibu_hamil > 0?number_format($total_k6/$total_ibu_hamil * 100, 2):0}}%</td>
                                    <td id="jumlah_ibu_bersalin">{{$total_ibu_bersalin}}</td>
                                    <td id="fasyankes">{{$total_fasyankes}}</td>
                                    <td id="percentage_fasyankes">{{$total_ibu_bersalin > 0?number_format($total_fasyankes/$total_ibu_bersalin * 100, 2):0}}%</td>
                                    <td id="kf1">{{$total_kf1}}</td>
                                    <td id="percentage_kf1">{{$total_ibu_bersalin > 0?number_format($total_kf1/$total_ibu_bersalin * 100, 2):0}}%</td>
                                    <td id="kf_lengkap">{{$total_kf_lengkap}}</td>
                                    <td id="percentage_kf_lengkap">{{$total_ibu_bersalin > 0?number_format($total_kf_lengkap/$total_ibu_bersalin * 100, 2):0}}%</td>
                                    <td id="vita">{{$total_vita}}</td>
                                    <td id="percentage_vita">{{$total_ibu_bersalin > 0?number_format($total_vita/$total_ibu_bersalin * 100, 2):0}}%</td>
                                </tr>
                                @endrole
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->


</div>

<div class="modal fade" tabindex="-1">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="title">Tambah Program</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <input type="submit" value="Submit" class="btn btn-primary" id="submitButton" form="storeForm">
        </div>
        {!! Form::close() !!}
      </div>
    </div>
  </div>

@push('scripts')
    <!-- Required datatable js -->
    <script src="{{asset('assets/libs/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
    <!-- Buttons examples -->
    <script src="{{asset('assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js')}}"></script>
    <script src="{{asset('assets/libs/jszip/jszip.min.js')}}"></script>
    <script src="{{asset('assets/libs/pdfmake/build/pdfmake.min.js')}}"></script>
    <script src="{{asset('assets/libs/pdfmake/build/vfs_fonts.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.print.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.colVis.min.js')}}"></script>
    <!-- Responsive examples -->
    <script src="{{asset('assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js')}}"></script>

@endpush

@push('scripts')
    <script>
        var table = $('#datatable').DataTable({
            responsive:false,
            processing: true,
            serverSide: true,
            order: [[ 0, "asc" ]],
            ajax: {
                'url': '{{ route("datatable.sub_kegiatan") }}',
                'type': 'GET',
                'beforeSend': function (request) {
                    request.setRequestHeader("X-CSRFToken", '{{ csrf_token() }}');
                },
                data: function (d) {
                    d.kegiatan_id = $('#kegiatan_id').val();
                },
            },
            columns: [
                {data:'kode',name:'kode'},
                {data:'nama',name:'nama'},
                {data:'sasaran',name:'sasaran'},
                {data: 'indikator', name:'indikator'}
            ],
        });

        $('#data').on('input', '.data-input', function(){
		let name = $(this).attr('name');
		let value = $(this).val();
		let data = {};
        var url_string = window.location.href;
         var url = new URL(url_string);
        let params = url.searchParams.get("year");
        let id = $(this).attr('id');
        let k1 = $(this).parent().parent().find(`#k1${id}`);
        let k4 = $(this).parent().parent().find(`#k4${id}`);
        let k6 = $(this).parent().parent().find(`#k6${id}`);
        let fasyankes = $(this).parent().parent().find(`#fasyankes${id}`);
        let kf1 = $(this).parent().parent().find(`#kf1${id}`);
        let kf_lengkap = $(this).parent().parent().find(`#kf_lengkap${id}`);
        let vita = $(this).parent().parent().find(`#vita${id}`);
        
		$.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		});

		$.ajax({
			'type' 	: 'POST',
			'url'	: '{{ route("IbuHamil.store") }}',
			'data'	: {'name' : name, 'value' : value, 'id': id, 'year': params},
			success	: function(res){
                k1.text(`${res.k1}%`);
                k4.text(`${res.k4}%`);
                k6.text(`${res.k6}%`);
                fasyankes.text(`${res.fasyankes}%`);
                kf1.text(`${res.kf1}%`);
                kf_lengkap.text(`${res.kf_lengkap}%`);
                vita.text(`${res.vita}%`);
                let total_column = res.column;
                $(`#${total_column}`).text(res.total);
                $(`#percentage_${total_column}`).text(`${res.percentage}%`);
			}
		});
        
        console.log(name, value, id, params);
        })
        $('#induk_opd').change(function(){
            let valueOpd = $("#induk_opd").val()
            $.ajax({
                    type: "get",
                    url: `{{url('apiProgram/kegiatan')}}/${valueOpd}`,
                    success: (res) => {
                        if(res.status == 'success'){
                        let option = `<option value="">Pilih Program</option>`;

                        for(const key in res.data){
                            option += `<option value="${res.data[key].id}">${res.data[key].kode} - ${res.data[key].uraian}</option>`
                        }
                        $("#program_id").html(option)

                        } else {
                            alert(res.data);
                        }
                    }
                })
        });
        $('#program_id').change(function(){
            let program_id = $("#program_id").val()
            $.ajax({
                    type: "get",
                    url: `{{url('apiKegiatan/sub_kegiatan')}}/${program_id}`,
                    success: (res) => {
                        if(res.status == 'success'){
                        let option = `<option value="">Pilih Kegiatan</option>`;

                        for(const key in res.data){
                            option += `<option value="${res.data[key].id}">${res.data[key].kode} - ${res.data[key].uraian}</option>`
                        }
                        $("#kegiatan_id").html(option)

                        } else {
                            alert(res.data);
                        }
                    }
                })
        });
        $("#filter").click(function(){
            let year = $("#tahun").val();
            let month = $("#month").val();
            window.location.href = "/IbuHamil?year="+year+"&month="+month;


        })
        $("#kegiatan_id").change(function(){
            table.draw()
        })
        $('.btn-tambah-program').click(function(){
            if($('#induk_opd').val() == ""){
                alert("Pilih SKPD Terlebih dahulu")
            } else {
                let valueOpd = $('#induk_opd').val();
                let stringOpd = valueOpd.toString();
                let kegiatan_id = $("#kegiatan_id").val();


                $.ajax({
                    type: "get",
                    url: `{{url('api/jabatan')}}/${valueOpd}`,
                    success: (res) => {
                        if(res.status == 'success'){
                            let template = `
                {!! Form::open(['route'=>$route.'.store','method'=>'POST', 'id'=>'storeForm']) !!}
            <div class="mb-3 row">
                <input type="hidden" name="kegiatan_id" value="${kegiatan_id}">
                <label for="name" class="col-md-2 col-form-label">Uraian</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10">
                    {!! Form::text('uraian',null,['class'=>'form-control','id'=>"nama"]) !!}
                </div>
            </div>
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Kode</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10">
                    {!! Form::number('kode',null,['class'=>'form-control','id'=>"nama"]) !!}
                </div>
            </div>     
                `
                $('.modal-body').html(template)
                $('#submitButton').attr('form', 'storeForm')
                $('#title').html('Tambah Data Sub Kegiatan');
                $('.modal').modal('toggle');
                        } else {
                            alert(res.data);
                        }
                    }
                })

            }
    });

    
        $('#data').on('click', '.data-lock', function(){
            let id = $(this).attr('id');
            let year = $("#tahun").val();
            $.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		});
            if($(this).is(':checked')){
            $.ajax({
			'type' 	: 'POST',
			'url'	: '{{ route("IbuHamil.lock") }}',
			'data'	: {'id': id, 'status': 1, 'year': year},
			success	: function(res){
				console.log(res);
			}
		});
            } else {
                $.ajax({
			'type' 	: 'POST',
			'url'	: '{{ route("IbuHamil.lock") }}',
			'data'	: {'id': id, 'status': 0, 'year': year},
			success	: function(res){
				console.log(res);
			}
		});
            }
        })
    $('#data').on('click', '.btn-mod2', function(){
            let id = $(this).attr('id');

            $.ajax({
                type: "get",
                url: `{{url('apiEdit/IbuHamil')}}/${id}`,
                success: (res) => {
                    console.log(res)
                    if(res.status == "success"){
                            console.log(res.data)
                            let textUraian = `<input type="text" name="k1" id="nama" class="form-control" value="${res.IbuHamil.k1}">`
                            let textKode = `<input type="text" name="k4" class="form-control" id="bezetting" value="${res.IbuHamil.k4}">`
                            let textPosyanduPurnama = `<input type="text" name="k6" class="form-control" id="bezetting" value="${res.IbuHamil.k6}">`
                            let textPosyanduMandiri = `<input type="text" name="fasyankes" class="form-control" id="bezetting" value="${res.IbuHamil.fasyankes}">`
                            let textPosyanduAktif = `<input type="text" name="kf1" class="form-control" id="bezetting" value="${res.IbuHamil.kf1}">`
                            let textPosbindu = `<input type="text" name="kf_lengkap" class="form-control" id="bezetting" value="${res.IbuHamil.kf_lengkap}">`
                            let textVita = `<input type="text" name="vita" class="form-control" id="bezetting" value="${res.IbuHamil.vita}">`


                            let template = `
                {!! Form::open(['route'=>$route.'.store','method'=>'POST', 'id'=>'EditForm']) !!}
                <input name="_method" type="hidden" value="PUT">
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">K1</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="nama_field">
                </div>
            </div>
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">K4</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="bezettingField">
                </div>
            </div>     
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">K6</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="purnamaField">
                </div>
            </div>     
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Persalinan di Fasyankes</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="mandiriField">
                </div>
            </div>     
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Kf1</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="aktifField">
                </div>
            </div>     
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">KF Lengkap</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="posbinduField">
                </div>
            </div>     
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Ibu Bersalin Yang diberi Vitamin A</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="vitaField">
                </div>
            </div>     
                `
                $('.modal-body').html(template)
                $('#nama_field').html(textUraian)
                $('#bezettingField').html(textKode);
                $('#purnamaField').html(textPosyanduPurnama);
                $('#mandiriField').html(textPosyanduMandiri);
                $('#aktifField').html(textPosyanduAktif);
                $('#posbinduField').html(textPosbindu);
                $('#vitaField').html(textVita);
                $('#EditForm').attr('action', `/IbuHamil/${id}`)
                $('#submitButton').attr('form', 'EditForm')
                $('#title').html('Ubah data Program');

                $('.modal').modal('toggle');
                    } else {
                        alert("Ada Yang salah saat pengambilan data");
                    }
                }
            })

        })
    $('#datatable').on('click', '.btn-tambah-sasaran', function(){
            let id = $(this).attr('id');

            $.ajax({
                type: "get",
                url: `{{url('apiEdit/program')}}/${id}`,
                success: (res) => {
                    if(res.status == "success"){

                            let textUraian = `<input type="text" name="nama" id="nama" class="form-control">`
                            let template = `
                {!! Form::open(['route'=>'sasaran_sub_kegiatan.store','method'=>'POST', 'id'=>'storeForm']) !!}
                <input type="hidden" name="sub_kegiatan_id" value="${id}">
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Nama</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="nama_field">
                </div>
            </div>  
                `
                $('.modal-body').html(template)
                $('#nama_field').html(textUraian)
                $('#submitButton').attr('form', 'storeForm')
                $('#title').html('Tambah Data Sasaran');

                $('.modal').modal('toggle');
                    } else {
                        alert("Ada Yang salah saat pengambilan data");
                    }
                }
            })

        })
        $('#datatable').on('click', '.btn-edit-sasaran', function(){
            let id = $(this).attr('id');

            $.ajax({
                type: "get",
                url: `{{url('apiEdit/sasaran_sub_kegiatan')}}/${id}`,
                success: (res) => {
                    if(res.status == "success"){

                            let textNama = `<input type="text" name="nama" id="nama" class="form-control" value="${res.data.nama}">`
                            let template = `
                {!! Form::open(['route'=>'sasaranKegiatan.store','method'=>'POST', 'id'=>'EditForm']) !!}
                <input name="_method" type="hidden" value="PUT">
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Uraian</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="nama_field">
                </div>
            </div> 
                `
                $('.modal-body').html(template)
                $('#nama_field').html(textNama)
                $('#EditForm').attr('action', `/sasaran_sub_kegiatan/${id}`)
                $('#submitButton').attr('form', 'EditForm')
                $('#title').html('Ubah data Sasaran Kegiatan');
                $('.modal').modal('toggle');
                    } else {
                        alert("Ada Yang salah saat pengambilan data");
                    }
                }
            })

        })
        $('#datatable').on('click', '.btn-tambah-indikator', function(){
            let id = $(this).attr('id');

            $.ajax({
                type: "get",
                url: `{{url('apiEdit/sasaranProgram')}}/${id}`,
                success: (res) => {
                    if(res.status == "success"){

                            let textNama = `<input type="text" name="nama" id="nama" class="form-control">`
                            let template = `
                {!! Form::open(['route'=>'indikator_sub_kegiatan.store','method'=>'POST', 'id'=>'storeForm']) !!}
                <input type="hidden" name="sasaran_sub_kegiatan_id" value="${id}">
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Nama</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="nama_field">
                </div>
            </div>  
                `
                $('.modal-body').html(template)
                $('#nama_field').html(textNama)
                $('#title').html('Tambah Data Indikator');
                $('#submitButton').attr('form', 'storeForm')
                $('.modal').modal('toggle');
                    } else {
                        alert("Ada Yang salah saat pengambilan data");
                    }
                }
            })

        })
        $('#datatable').on('click', '.btn-edit-indikator', function(){
            let id = $(this).attr('id');

            $.ajax({
                type: "get",
                url: `{{url('apiEdit/indikator_sub_kegiatan')}}/${id}`,
                success: (res) => {
                    if(res.status == "success"){

                            let textNama = `<input type="text" name="nama" id="nama" class="form-control" value="${res.data.nama}">`
                            let template = `
                {!! Form::open(['route'=>'indikator_sub_kegiatan.store','method'=>'POST', 'id'=>'EditForm']) !!}
                <input name="_method" type="hidden" value="PUT">
            <div class="mb-3 row">
                <label for="name" class="col-md-2 col-form-label">Uraian</label>
            </div>
            <div class="mb-3 row">
                <div class="col-md-10" id="nama_field">
                </div>
            </div> 
                `
                $('.modal-body').html(template)
                $('#nama_field').html(textNama)
                $('#EditForm').attr('action', `/indikator_sub_kegiatan/${id}`)
                $('#submitButton').attr('form', 'EditForm')
                $('#title').html('Ubah data Indikator Sub Kegiatan');
                $('.modal').modal('toggle');
                    } else {
                        alert("Ada Yang salah saat pengambilan data");
                    }
                }
            })

        })
    </script>
@endpush
@endsection